
package com.gekko_holding.webservice.v2_4;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for requestedBookings complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="requestedBookings">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="parentBookingId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="customerReference" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="statisticalFields">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="statisticalField" type="{http://webservice.gekko-holding.com/v2_4}staticticField" maxOccurs="unbounded"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="creditCard" type="{http://webservice.gekko-holding.com/v2_4}creditCardInformation" minOccurs="0"/>
 *         &lt;element name="hotelBooking" type="{http://webservice.gekko-holding.com/v2_4}hotelBooking" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *       &lt;attribute name="insurance" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "requestedBookings", propOrder = {
    "parentBookingId",
    "customerReference",
    "statisticalFields",
    "creditCard",
    "hotelBooking"
})
public class RequestedBookings {

    protected String parentBookingId;
    protected String customerReference;
    @XmlElement(required = true)
    protected RequestedBookings.StatisticalFields statisticalFields;
    protected CreditCardInformation creditCard;
    @XmlElement(required = true)
    protected List<HotelBooking> hotelBooking;
    @XmlAttribute(name = "insurance", required = true)
    protected boolean insurance;

    /**
     * Gets the value of the parentBookingId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getParentBookingId() {
        return parentBookingId;
    }

    /**
     * Sets the value of the parentBookingId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setParentBookingId(String value) {
        this.parentBookingId = value;
    }

    /**
     * Gets the value of the customerReference property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCustomerReference() {
        return customerReference;
    }

    /**
     * Sets the value of the customerReference property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCustomerReference(String value) {
        this.customerReference = value;
    }

    /**
     * Gets the value of the statisticalFields property.
     * 
     * @return
     *     possible object is
     *     {@link RequestedBookings.StatisticalFields }
     *     
     */
    public RequestedBookings.StatisticalFields getStatisticalFields() {
        return statisticalFields;
    }

    /**
     * Sets the value of the statisticalFields property.
     * 
     * @param value
     *     allowed object is
     *     {@link RequestedBookings.StatisticalFields }
     *     
     */
    public void setStatisticalFields(RequestedBookings.StatisticalFields value) {
        this.statisticalFields = value;
    }

    /**
     * Gets the value of the creditCard property.
     * 
     * @return
     *     possible object is
     *     {@link CreditCardInformation }
     *     
     */
    public CreditCardInformation getCreditCard() {
        return creditCard;
    }

    /**
     * Sets the value of the creditCard property.
     * 
     * @param value
     *     allowed object is
     *     {@link CreditCardInformation }
     *     
     */
    public void setCreditCard(CreditCardInformation value) {
        this.creditCard = value;
    }

    /**
     * Gets the value of the hotelBooking property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the hotelBooking property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getHotelBooking().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link HotelBooking }
     * 
     * 
     */
    public List<HotelBooking> getHotelBooking() {
        if (hotelBooking == null) {
            hotelBooking = new ArrayList<HotelBooking>();
        }
        return this.hotelBooking;
    }

    /**
     * Gets the value of the insurance property.
     * 
     */
    public boolean isInsurance() {
        return insurance;
    }

    /**
     * Sets the value of the insurance property.
     * 
     */
    public void setInsurance(boolean value) {
        this.insurance = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="statisticalField" type="{http://webservice.gekko-holding.com/v2_4}staticticField" maxOccurs="unbounded"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "statisticalField"
    })
    public static class StatisticalFields {

        @XmlElement(required = true)
        protected List<StaticticField> statisticalField;

        /**
         * Gets the value of the statisticalField property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the statisticalField property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getStatisticalField().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link StaticticField }
         * 
         * 
         */
        public List<StaticticField> getStatisticalField() {
            if (statisticalField == null) {
                statisticalField = new ArrayList<StaticticField>();
            }
            return this.statisticalField;
        }

    }

}
