
package com.gekko_holding.webservice.v2_4;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for offerPrice complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="offerPrice">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="totalPrice" type="{http://webservice.gekko-holding.com/v2_4}priceBean"/>
 *         &lt;element name="taxes" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="pricePerRoom">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="roomPrice" type="{http://webservice.gekko-holding.com/v2_4}roomOffer" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="changed" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "offerPrice", propOrder = {
    "totalPrice",
    "taxes",
    "pricePerRoom"
})
public class OfferPrice {

    @XmlElement(required = true)
    protected PriceBean totalPrice;
    protected Double taxes;
    @XmlElement(required = true)
    protected OfferPrice.PricePerRoom pricePerRoom;
    @XmlAttribute(name = "changed", required = true)
    protected boolean changed;

    /**
     * Gets the value of the totalPrice property.
     * 
     * @return
     *     possible object is
     *     {@link PriceBean }
     *     
     */
    public PriceBean getTotalPrice() {
        return totalPrice;
    }

    /**
     * Sets the value of the totalPrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link PriceBean }
     *     
     */
    public void setTotalPrice(PriceBean value) {
        this.totalPrice = value;
    }

    /**
     * Gets the value of the taxes property.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getTaxes() {
        return taxes;
    }

    /**
     * Sets the value of the taxes property.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setTaxes(Double value) {
        this.taxes = value;
    }

    /**
     * Gets the value of the pricePerRoom property.
     * 
     * @return
     *     possible object is
     *     {@link OfferPrice.PricePerRoom }
     *     
     */
    public OfferPrice.PricePerRoom getPricePerRoom() {
        return pricePerRoom;
    }

    /**
     * Sets the value of the pricePerRoom property.
     * 
     * @param value
     *     allowed object is
     *     {@link OfferPrice.PricePerRoom }
     *     
     */
    public void setPricePerRoom(OfferPrice.PricePerRoom value) {
        this.pricePerRoom = value;
    }

    /**
     * Gets the value of the changed property.
     * 
     */
    public boolean isChanged() {
        return changed;
    }

    /**
     * Sets the value of the changed property.
     * 
     */
    public void setChanged(boolean value) {
        this.changed = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="roomPrice" type="{http://webservice.gekko-holding.com/v2_4}roomOffer" maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "roomPrice"
    })
    public static class PricePerRoom {

        protected List<RoomOffer> roomPrice;

        /**
         * Gets the value of the roomPrice property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the roomPrice property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getRoomPrice().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RoomOffer }
         * 
         * 
         */
        public List<RoomOffer> getRoomPrice() {
            if (roomPrice == null) {
                roomPrice = new ArrayList<RoomOffer>();
            }
            return this.roomPrice;
        }

    }

}
